import { r as registerInstance, h } from './index-0861cb0b.js';
import './common-d52c7ecc.js';
import { B as Breakpoint } from './Breakpoint-11b906a5.js';
import { g as getProps } from './tools-803eb4f0.js';

const UIBreakpoint = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.display = 'block';
  }
  render() {
    return (h(Breakpoint, Object.assign({}, getProps(['xs', 'sm', 'md', 'lg', 'xl', 'display'], this)), h("slot", null)));
  }
};
UIBreakpoint.style = "breakpoint.scss";

export { UIBreakpoint as ui_breakpoint };
